Create or update metadata field
POST
/api/projects/{projectid}/meta-fields
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/meta-fields"), Headers = { { "x-api-key", "<x-api-key>" }, }, Content = new StringContent("{ \"id\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"created\": \"2026-04-15T12:00:00Z\", \"modified\": \"2026-04-15T12:00:00Z\", \"etag\": \"example\", \"projectId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"metaNum\": 1, \"col\": \"example\", \"code\": \"example\", \"name\": \"example\", \"description\": \"example\", \"isRequired\": true, \"publish\": true, \"itemOrder\": 1, \"valueKind\": \"Text\", \"maxValue\": 1, \"minValue\": 1, \"maxLength\": 1, \"minLength\": 1, \"optionsText\": \"example\", \"defaultValue\": \"example\", \"minSelections\": 1, \"maxSelections\": 1, \"isCategory\": true, \"categoryId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"isLocked\": true }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/meta-fields';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","created":"2026-04-15T12:00:00Z","modified":"2026-04-15T12:00:00Z","etag":"example","projectId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","metaNum":1,"col":"example","code":"example","name":"example","description":"example","isRequired":true,"publish":true,"itemOrder":1,"valueKind":"Text","maxValue":1,"minValue":1,"maxLength":1,"minLength":1,"optionsText":"example","defaultValue":"example","minSelections":1,"maxSelections":1,"isCategory":true,"categoryId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","isLocked":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/meta-fields \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "created": "2026-04-15T12:00:00Z", "modified": "2026-04-15T12:00:00Z", "etag": "example", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metaNum": 1, "col": "example", "code": "example", "name": "example", "description": "example", "isRequired": true, "publish": true, "itemOrder": 1, "valueKind": "Text", "maxValue": 1, "minValue": 1, "maxLength": 1, "minLength": 1, "optionsText": "example", "defaultValue": "example", "minSelections": 1, "maxSelections": 1, "isCategory": true, "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "isLocked": true }'For fields with options, provide pipe-delimited or line-separated option text.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectid
required
string format: uuid
The project identifier.
Query Parameters
Section titled “Query Parameters”metafieldid
string format: uuid
The optional metadata field identifier.
Request Bodyrequired
Section titled “Request Bodyrequired”The metadata field.
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
metaNum
integer | string format: int32
col
null | string
code
null | string
name
null | string
description
null | string
isRequired
boolean
publish
boolean
itemOrder
integer | string format: int32
valueKind
maxValue
null | integer | string format: int32
minValue
null | integer | string format: int32
maxLength
null | integer | string format: int32
minLength
null | integer | string format: int32
optionsText
null | string
defaultValue
null | string
minSelections
null | integer | string format: int32
maxSelections
null | integer | string format: int32
isCategory
boolean
categoryId
null | string format: uuid
isLocked
boolean
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
metaNum
integer | string format: int32
col
null | string
code
null | string
name
null | string
description
null | string
isRequired
boolean
publish
boolean
itemOrder
integer | string format: int32
valueKind
maxValue
null | integer | string format: int32
minValue
null | integer | string format: int32
maxLength
null | integer | string format: int32
minLength
null | integer | string format: int32
optionsText
null | string
defaultValue
null | string
minSelections
null | integer | string format: int32
maxSelections
null | integer | string format: int32
isCategory
boolean
categoryId
null | string format: uuid
isLocked
boolean
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
metaNum
integer | string format: int32
col
null | string
code
null | string
name
null | string
description
null | string
isRequired
boolean
publish
boolean
itemOrder
integer | string format: int32
valueKind
maxValue
null | integer | string format: int32
minValue
null | integer | string format: int32
maxLength
null | integer | string format: int32
minLength
null | integer | string format: int32
optionsText
null | string
defaultValue
null | string
minSelections
null | integer | string format: int32
maxSelections
null | integer | string format: int32
isCategory
boolean
categoryId
null | string format: uuid
isLocked
boolean
Responses
Section titled “Responses”OK
object
data
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
metaNum
integer | string format: int32
col
null | string
code
null | string
name
null | string
description
null | string
isRequired
boolean
publish
boolean
itemOrder
integer | string format: int32
valueKind
maxValue
null | integer | string format: int32
minValue
null | integer | string format: int32
maxLength
null | integer | string format: int32
minLength
null | integer | string format: int32
optionsText
null | string
defaultValue
null | string
minSelections
null | integer | string format: int32
maxSelections
null | integer | string format: int32
isCategory
boolean
categoryId
null | string format: uuid
isLocked
boolean
message
null | string
success
boolean
status
null | integer | string format: int32
object
data
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
metaNum
integer | string format: int32
col
null | string
code
null | string
name
null | string
description
null | string
isRequired
boolean
publish
boolean
itemOrder
integer | string format: int32
valueKind
maxValue
null | integer | string format: int32
minValue
null | integer | string format: int32
maxLength
null | integer | string format: int32
minLength
null | integer | string format: int32
optionsText
null | string
defaultValue
null | string
minSelections
null | integer | string format: int32
maxSelections
null | integer | string format: int32
isCategory
boolean
categoryId
null | string format: uuid
isLocked
boolean
message
null | string
success
boolean
status
null | integer | string format: int32
Example
{ "data": { "valueKind": "Text" }}object
data
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
metaNum
integer | string format: int32
col
null | string
code
null | string
name
null | string
description
null | string
isRequired
boolean
publish
boolean
itemOrder
integer | string format: int32
valueKind
maxValue
null | integer | string format: int32
minValue
null | integer | string format: int32
maxLength
null | integer | string format: int32
minLength
null | integer | string format: int32
optionsText
null | string
defaultValue
null | string
minSelections
null | integer | string format: int32
maxSelections
null | integer | string format: int32
isCategory
boolean
categoryId
null | string format: uuid
isLocked
boolean
message
null | string
success
boolean
status
null | integer | string format: int32
Example
{ "data": { "valueKind": "Text" }}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}